unit Progress;

// (c) Copyright 1999, Dipl. Ing. Mike Lischke (public@lischke-online.de)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TProgressForm = class(TForm)
    ProgressLabel: TLabel;
    Animate1: TAnimate;
  private                                    
    { Private declarations }
  public
    { Public declarations }
  end;

procedure ProgressMessage(const NewText: String);
procedure HideProgress;

var
  ProgressForm: TProgressForm;

//----------------------------------------------------------------------------------------------------------------------

implementation

{$R *.DFM}

//----------------------------------------------------------------------------------------------------------------------

procedure ProgressMessage(const NewText: String);

begin
  with ProgressForm do
  begin
    if not Visible then
    begin
      Show;
      Animate1.Active := True;
    end;
    ProgressLabel.Caption := NewText;
    Update;
  end;
end;

//----------------------------------------------------------------------------------------------------------------------

procedure HideProgress;

begin
  with ProgressForm do
  begin
    Animate1.Active := False;
    Hide;
  end;
end;

//----------------------------------------------------------------------------------------------------------------------

end.
